Create Operability Access Token
Create operability SSH access token.
Request
URI
POST
https://{api_host}/tca/proxy/api/v1/orgs/{orgId}/tokens/op/ssh
COPY
Path Parameters
string
orgId
Required
The identifier of the tenant
Header Parameters
boolean
X-Enable-Token-Reuse
Optional
This header signals to try to reuse an existing token with sufficient lease time instead creating a new one.
Request Body
request payload.
opSshTokenReq
of type(s)
application/json
Required
{
"vimId": "string",
"accessVM": false
}
string
vimId
Optional
vimId
boolean
accessVM
Optional
accessVM
Responses
200
Successfully created operability SSH access token.
Returns
opSshToken
of type(s)
application/json
{
"id": "string",
"tcaCpUrl": "string",
"vimId": "string",
"expiresAt": "string",
"createdAt": "string",
"username": "string",
"loginUsername": "string",
"loginPassword": "string",
"publicKey": "string",
"used": false,
"accessVM": false
}
string
id
Required
id
string
tcaCpUrl
Optional
tcaCpUrl
string
vimId
Optional
vimId
string As date-time
As date-time
expiresAt
Required
expiresAt
string As date-time
As date-time
createdAt
Required
createdAt
string
username
Required
username
string
loginUsername
Required
loginUsername
string
loginPassword
Required
loginPassword
string
publicKey
Required
publicKey
boolean
used
Required
used
boolean
accessVM
Optional
accessVM
Response Headers
boolean
X-Token-Reused
Has token been reused
400
Bad Request
Returns
errorResponse
of type(s)
application/json
{
"errors": [
{
"code": "string",
"message": "string"
}
]
}
401
Unauthorized
Operation doesn't return any data structure
403
Forbidden
Operation doesn't return any data structure
500
Internal Server Error
Returns
errorResponse
of type(s)
application/json
{
"errors": [
{
"code": "string",
"message": "string"
}
]
}